{
  description = "C3D2 NixOS configurations";

  inputs = {
    nixpkgs.follows = "hydra/nixpkgs";
    # nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    # secrets.url = "git+file:///etc/nixos/secrets";
  };

  outputs = { self, nixpkgs, hydra }: {

    nixosConfigurations = {

      server7 = nixpkgs.lib.nixosSystem {
        modules = [
          ./hosts/server7
          hydra.nixosModules.hydra
        ];
        system = "x86_64-linux";
      };

    };

    nixosModules.c3d2 = import ./lib;

  };
}
